import "./tasks/PON.wdl" as PON
	
workflow {{ project_name }} {
	String SENTIEON_INSTALL_DIR
	String SENTIEON_LICENSE
	String sample_id

	File ref_dir
	String fasta
	File cosmic_dir
	String cosmic_vcf
	File dbsnp_dir
	String dbsnp

	File normal_recaled_bam
	File normal_recaled_bam_index
	String sentieon_docker
	String cluster_config
	String disk_size

	call PON.PON as PON {
		input:
		SENTIEON_INSTALL_DIR=SENTIEON_INSTALL_DIR,
		SENTIEON_LICENSE=SENTIEON_LICENSE,
		sample=sample_id,
		fasta=fasta,
		ref_dir=ref_dir,
		normal_recaled_bam=normal_recaled_bam,
		normal_recaled_bam_index=normal_recaled_bam_index,
		cosmic_vcf=cosmic_vcf,
		cosmic_dir=cosmic_dir,
		dbsnp=dbsnp,
		dbsnp_dir=dbsnp_dir,
		docker=sentieon_docker,
		disk_size=disk_size,
		cluster_config=cluster_config
	}
}